Subject: RE: bash wrapping problem
From: "Ed Hourigan" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 17 Sep 2000 08:15:12 -0400

Ok, here is cygcheck -r -s -v:  ( cygcheck ls follows after )

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Sun Sep 17 08:10:14 2000

Win9X Ver 4.10 build 67766446  A

Path:	/usr/local/bin
	/usr/bin
	/usr/bin
	/cygdrive/c/WINDOWS
	/cygdrive/c/WINDOWS/COMMAND
	/cygdrive/c/WINDOWS/TWAIN_32/SCANWIZ
	/cygdrive/c/WINDOWS/TWAIN/SCANWIZ

SysDir: C:\WINDOWS\SYSTEM
WinDir: C:\WINDOWS

HOME = `/home/beerman'
MAKE_MODE = `unix'
PWD = `/'
USER = `beerman'

!C: = `C:\WINDOWS'
!D: = `D:\PROGRAM FILES\MICROSOFT OFFICE\OFFICE'
!E: = `E:\cygwin\bin'
BLASTER = `A220 I2 D1'
CMDLINE = `bash --login -i'
COMSPEC = `C:\WINDOWS\COMMAND.COM'
HOSTNAME = `EDHOURIG'
HOSTTYPE = `i586'
MACHTYPE = `i586-pc-cygwin'
OLDPWD = `/home/beerman/gcc_2.95.2/blddir'
OSTYPE = `cygwin'
PROMPT = `$p$g'
PS1 = `>'
SHELL = `/bin/sh'
SHLVL = `1'
TEMP = `/cygdrive/c/WINDOWS/TEMP'
TERM = `cygwin'
WINBOOTDIR = `C:\WINDOWS'
WINDIR = `C:\WINDOWS'
_ = `/usr/bin/cygcheck'
TZ = `EST5EDT4,M4.1.0/2,M10.5.0/2'

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrd
er\Start Menu\&Programs\Cygnus Solutions
  (default) = (unsupported type)
HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
  (default) = `C:'
  unix = `/'
  fbinary = 0x00000000
  fsilent = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000020
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `E:/cygwin'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `E:/cygwin/bin'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `E:/cygwin/lib'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\./projects
  (default) = `\cygdrive\Projects'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/drive_e
  (default) = `E:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\Software\Symantec\IAM\FirewallObjects\Applications\SETUP 
- CYGNUS SETUP (GCC FOR WIN9X).EXE
  (default) = `C:\WINDOWS\PROFILES\KAREN\DESKTOP\DOWNLOADS\SETUP - CYGNUS
SETUP (GCC FOR WIN9X).EXE'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin B20
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin B20\B20.1
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\GNUPro
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\GNUPro\i586-cygwin32
HKEY_LOCAL_MACHINE\Software\Cygnus
Solutions\GNUPro\i586-cygwin32\i586-cygwin32
HKEY_LOCAL_MACHINE\Software\Cygnus
Solutions\GNUPro\i586-cygwin32\i586-cygwin32\cygwin-B20.1
  (default) = `e:\cygnus\cygwin-b20'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\00
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\01
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\02
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\03
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\04
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\05
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\06
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\07
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\08
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\09
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\0A
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\0B
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\0C
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\0D
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\0E
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\0F
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\10
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\11
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\12
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\13
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\14
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\15
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\16
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\17
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\18
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\19
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\1A
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\1B
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\1C
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\1D
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2

a:  fd           N/A    N/A
c:  hd  FAT32   2583Mb  57% CP    UN           SYS_DISK
d:  hd  FAT32   2428Mb  28% CP    UN           DATA
e:  hd  FAT32   3930Mb  62% CP    UN           PROGRAMS
f:  fd           N/A    N/A
g:  cd           N/A    N/A

\cygdrive\Projects  ./projects  user    textmode
E:\cygwin\bin  /usr/bin  user    binmode
E:\cygwin\lib  /usr/lib  user    binmode
E:\cygwin  /        user    binmode
E:    /drive_e  user    textmode

Found: E:\cygwin\bin\bash.exe
Found: E:\cygwin\bin\cat.exe
Found: E:\cygwin\bin\cpp.exe
Found: E:\cygwin\bin\find.exe
Found: c:\WINDOWS\COMMAND\find.exe
Warning: E:\cygwin\bin\find.exe hides c:\WINDOWS\COMMAND\find.exe
Found: E:\cygwin\bin\gcc.exe
Found: E:\cygwin\bin\gdb.exe
Found: E:\cygwin\bin\ld.exe
Found: E:\cygwin\bin\ls.exe
Found: E:\cygwin\bin\make.exe
Found: E:\cygwin\bin\sh.exe

   83k 2000/06/11 E:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitcl30.dll" v0.0 ts=2000/6/10 23:34
   35k 2000/06/11 E:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitk30.dll" v0.0 ts=2000/6/10 23:34
  402k 2000/06/11 E:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtcl80.dll" v0.0 ts=2000/6/10 23:30
    5k 2000/06/11 E:\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
   10k 2000/06/11 E:\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtclreg80.dll" v0.0 ts=2000/6/10 23:30
  639k 2000/06/11 E:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtk80.dll" v0.0 ts=2000/6/10 23:34
  586k 2000/08/04 E:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2000/8/3 20:53
    Cygwin DLL version info:
        dll major: 1001
        dll minor: 4
        dll epoch: 19
        dll bad signal mask: 19005
        dll old termios: 5
        api major: 0
        api minor: 26
        shared data: 3
        dll identifier: cygwin1
        mount registry: 2
        cygnus registry name: Cygnus Solutions
        cygwin registry name: Cygwin
        program options name: Program Options
        cygwin mount registry name: mounts v2
        build date: Thu Aug 3 20:53:46 EDT 2000
        CVS tag: cygwin-1-1-4
        shared id: cygwin1S3

Use -h to see help about each section

-------

And here is cygcheck ls:

Found: E:\cygwin\bin\ls.exe
E:\cygwin\bin\ls.exe
  E:\cygwin\bin\cygwin1.dll
    C:\WINDOWS\SYSTEM\KERNEL32.dll

Use -h to see help about each section

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Chris Faylor
Sent: Saturday, September 16, 2000 7:12 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: bash wrapping problem

On Sat, Sep 16, 2000 at 05:21:59PM +0200, Andreas Eibach wrote:
>----- Original Message -----
>From: "Ed Hourigan" <[email-masked]>
>To: <[email-masked]>
>Sent: Saturday, September 16, 2000 8:08 PM
>Subject: bash wrapping problem
>
>
>> Hi - just upgraded to cygwin latest and greatest.  I have a minor
>> (and annoying) issue.  In bash, if I do an ls, the output all goes
>> on one line -- i.e no CR/LF.  I have to enter the clear
>> command to fix the error.  This only seems to happen if the directory
>> has "a lot" of files in it.  My monitor is only 15 inches.  Do I need to
>> configure bash for smaller screens?
>
>the same bug occurs if you TEMPORARILY quit cygwin bash to Win9X and
>relaunch it with the icon in the taskbar.

What does it mean to "TEMPORARILY quit" cygwin bash?  Are you saying that
you minimize the window and then restore it by clicking on the icon?
Are you clicking on another window and then clicking on the icon to
gain focus in the cygwin bash window?

It would be instructive to see the output of "cygcheck -r -s -v" and
of "cygcheck ls".  Apologies if you've already sent this but I suspect
that you haven't sent "cygcheck ls", at least.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]